<?php
/**
 * @package EasyTableBooking
 */
/*
Plugin Name: Easy Table Booking
Plugin URI: http://wpsolutions.uknow.in/easytablebooking/
Description: Easy Table Booking is a powerful and easy to use WordPress restaurants Table reservation plugin.
Version: 1.0.0
Author: Neelam Singh
Author URI: http://wpsolutions.uknow.in/
Text Domain: easytablebooking
*/
if ( ! defined( 'ABSPATH' ) )
	exit;

if ( !function_exists( 'add_action' ) ) {
	echo 'Hi there!  I\'m just a plugin, not much I can do when called directly.';
	exit;
}

if ( !class_exists( 'esytbooking' ) ) {
class esytbooking {

	
	/**
	 * Initialize the plugin and register hooks
	 */
	public $fun = '';
	public function __construct() {

		// Common strings
		define( 'RBYTB_VERSION', '1.0.0' );
		define( 'RBYTB_PLUGIN_NAME', 'easytablebooking' );
		define( 'RBYTB__MINIMUM_WP_VERSION', '4.0' );
		define( 'RBYTB__PLUGIN_DIR', untrailingslashit( plugin_dir_path( __FILE__ ) ) );
		define( 'RBYTB_PLUGIN_URL', untrailingslashit( plugins_url( basename( plugin_dir_path( __FILE__ ) ), basename( __FILE__ ) ) ) );
		define( 'RBYTB_PLUGIN_FNAME', plugin_basename( __FILE__ ) );
		register_activation_hook( __FILE__, array($this,'rby_activation_init') );
		register_deactivation_hook(  __FILE__, array($this,'rby_uninstall_init'))	;	
		add_action('init', array($this,'app_output_buffer'));
		add_action( 'wp_enqueue_scripts', array( $this, 'register_assets' ) );
		add_action( 'admin_enqueue_scripts', array( $this, 'register_assets' ) );
		
		
		// Call Admin Functions
		require_once( RBYTB__PLUGIN_DIR . '/includes/admin_function.class.php');
		$this->fun = new rbytbAdminfunction();		
		
		// Call Admin Menu
		require_once( RBYTB__PLUGIN_DIR . '/includes/admin_menu.class.php' );
		 new rbytbAdminMenu();
		 
		 // Load the template functions which print the booking form, etc
		require_once( RBYTB__PLUGIN_DIR . '/includes/template-function.php' );
		
		

	}
		function app_output_buffer() {
			ob_start();
		} // soi_output_buffer	

    function rby_activation_init(){
		global $wpdb;
		$charset_collate = $wpdb->get_charset_collate();
		$this->my_plugin_activation();
		require_once( ABSPATH . 'wp-admin/includes/upgrade.php');
		
		$sql = "CREATE TABLE IF NOT EXISTS `".$wpdb->prefix ."table_master` (
				  `id` int(11) NOT NULL AUTO_INCREMENT,
				  `vc_name` varchar(100) NOT NULL ,
				  `capacity` tinyint(2) NOT NULL,
				  `int_charges` int(5) DEFAULT NULL,
				  `is_active` tinyint(1) NOT NULL DEFAULT 1,
				  PRIMARY KEY (`id`)
				)$charset_collate;";
				dbDelta( $sql );
				
	$sql1 = "CREATE TABLE IF NOT EXISTS `".$wpdb->prefix ."booking_master` (
				  `id` int(11) NOT NULL AUTO_INCREMENT,
				  `vc_name` varchar(50) NOT NULL,
				  `vc_email` varchar(200) NOT NULL,
				  `vc_phone` varchar(200) NOT NULL,
				  `vc_table_seat` varchar(100) NOT NULL,
				  `vc_time` varchar(50) NOT NULL,
				  `int_person_no` tinyint(2) NOT NULL,
				  `dt_date` date NOT NULL,
				  `is_status` tinyint(2) NOT NULL DEFAULT 2,
				  PRIMARY KEY (`id`)
				)$charset_collate;";
			dbDelta( $sql1 );
			$setDeft = $this->fun->default_values('');
			add_option('esytb_default',serialize($setDeft));
	}
	
	function rby_uninstall_init(){ 
		delete_option('esytb_default');
	}
	
	function my_plugin_activation() {
	global $wp_version;

	$php = '5.6';
	$wp  = '5.0';

	if ( version_compare( PHP_VERSION, $php, '<' ) ) {
		deactivate_plugins( basename( __FILE__ ) );
		wp_die(
			'<p>' .
			sprintf(
				__( 'This plugin can not be activated because it requires a PHP version greater than %1$s. Your PHP version can be updated by your hosting company.', 'my_plugin' ),
				$php
			)
			. '</p> <a href="' . admin_url( 'plugins.php' ) . '">' . __( 'go back', 'my_plugin' ) . '</a>'
		);
	}

	if ( version_compare( $wp_version, $wp, '<' ) ) {
		deactivate_plugins( basename( __FILE__ ) );
		wp_die(
			'<p>' .
			sprintf(
				__( 'This plugin can not be activated because it requires a WordPress version greater than %1$s. Please go to Dashboard &#9656; Updates to gran the latest version of WordPress .', 'my_plugin' ),
				$php
			)
			. '</p> <a href="' . admin_url( 'plugins.php' ) . '">' . __( 'go back', 'my_plugin' ) . '</a>'
		);
	}
}
		
	function register_assets() {		
		wp_enqueue_style( 'tblbooking-default', RBYTB_PLUGIN_URL . '/assets/css/booking.css','', '', 'screen' );
		wp_enqueue_style( 'tblbooking-jui', RBYTB_PLUGIN_URL . '/assets/js/jquery-ui/themes/smoothness/jquery-ui.min.css','', '', 'screen' );
		wp_enqueue_script( 'jquery-ui-datepicker' );
		wp_enqueue_script( 'tblbooking-jquery-js',RBYTB_PLUGIN_URL. '/assets/js/rybbooking.js' ,array( 'jquery'),'1.12.4', 'screen');
	}
 }
	
}
global $rybtb_controller;
$rybtb_controller = new esytbooking();	
?>