<?php
if ( !defined( 'ABSPATH' ) ) exit;

if ( !class_exists( 'rbytbAdminMenu' ) ) {
/**
 * Class to handle the Admin Menu page for Easy Table Reservations
 *
 * @since 1.3
 */
class rbytbAdminMenu {
	
	private $successMsg = false;
	private $errorMsg = false;

	public function __construct( ) {
		// Add a admin menu
		add_action('admin_menu', array($this,'add_dashboard_to_menu'));
		add_filter( 'rbytb_insert_booking_data', array( $this, 'insert_booking_data' ), 10, 2 );
	}
	function add_dashboard_to_menu() {
				 add_menu_page('My Page Title', 'Easy Table Booking', '', 'my-menu', 'my_menu_output','dashicons-calendar' );
				  add_submenu_page('my-menu', 'Easy Table Booking - Booking List', 'Bookings', 'manage_options', 'tbl-bookings', array( $this, 'bookingslist' ) );		 
				 add_submenu_page('my-menu', 'Easy Table Booking - Add Table', 'Add Table', 'manage_options', 'tbl-addtable',array( $this, 'addtable' ));
				 add_submenu_page('my-menu', 'Easy Table Booking - Table List', 'Table List', 'manage_options', 'tbl-list', array( $this, 'tablelist' ));
				add_submenu_page('my-menu', 'Easy Table Booking - Settings', 'Settings', 'manage_options', 'tbl-settings', array( $this, 'settings' ));
    }
	
	
	function addtable(){
		if(isset($_POST['action'])) {
			
			global $wpdb;
			 $table_name =$wpdb->prefix.'table_master';
			 $name = sanitize_text_field($_POST['vc_name']);
			 $capacity = sanitize_text_field($_POST['capacity']);
			 $state = sanitize_text_field($_POST['is_active']);
			 
			 $success = $wpdb->insert($table_name, array(
			   "vc_name" => $name,
			   "capacity" => $capacity,
			   "is_active" => $state,
			));
			 if($success) {
				$this->successMsg = true;
				  } else {
			   $this->errorMsg = true;
			   }
			}
	?>
		<div class="wrap">
			<h1 id="add-new-table">
			<?php _e('Add New Table',RBYTB_PLUGIN_NAME);?></h1>			
			<div id="ajax-response">
		  <?php if(!!$this->successMsg){ ?>	
			<div class="updated notice">
				<p> <?php _e('Table Inserted Successfully',RBYTB_PLUGIN_NAME);?></p>
			</div>
		  <?php } ?>
		  <?php if(!!$this->errorMsg){  ?>
		  <div class="error notice">
				<p><?php _e( 'There has been an error. Please try again!', RBYTB_PLUGIN_NAME ); ?></p>
			</div>
		<?php } ?>
			</div>
			<form method="post" name="newtable" class="validate form">
			<input name="action" type="hidden" value="newtable">
			<table class="form-table" role="presentation">
			<tbody><tr class="form-field form-required">
				<th scope="row"><label for="vc_name"><?php _e('Table Name/Number',RBYTB_PLUGIN_NAME);?> <span class="description"><?php _e('(required)',RBYTB_PLUGIN_NAME);?></span></label></th>
				<td><input name="vc_name" type="text" id="vc_name" required value="" aria-required="true" autocapitalize="none" autocorrect="off" maxlength="60"></td>
			</tr>
			<tr class="form-field form-required">
				<th scope="row"><label for="capacity"><?php _e('Capacity',RBYTB_PLUGIN_NAME);?> <span class="description"><?php _e('(required)',RBYTB_PLUGIN_NAME);?></span></label></th>
				<td><input name="capacity" type="number" required aria-required="true" id="capacity" maxlength="2" value=""></td>
			</tr>		
			
			<tr class="form-field">
				<th scope="row"><label for="is_active"><?php _e('Availibity',RBYTB_PLUGIN_NAME);?></label></th>
				<td><select name="is_active" id="is_active">
					
			<option value="1"><?php _e('Yes',RBYTB_PLUGIN_NAME);?></option>
			<option value="0"><?php _e('No',RBYTB_PLUGIN_NAME);?></option>
			</select>
				</td>
			</tr>
			</tbody>
			</table>
	
		<p class="submit"><input type="submit" name="createtable" id="createtable" class="button button-primary" value="<?php _e('Add Table',RBYTB_PLUGIN_NAME);?>"></p>
	</form>
	 </div>
  
  <?php 
	}
	
	function tablelist(){ 
	global $rybtb_controller;
	$n = '';
	$order='';
	$o = 'asc';
	if(isset($_REQUEST['n'])){
		$n = sanitize_text_field($_GET['n']);
	}
	if(isset($_REQUEST['order'])){
		$order = sanitize_text_field($_GET['order']);
	}
	if($order == 'asc'){
		$o = 'desc';
	}
	if(isset($_REQUEST['id']) && $_REQUEST['t'] =='edit' ){
		$id = (int)$_GET['id'];
		$st = sanitize_text_field($_REQUEST['st']);
		$rybtb_controller->fun->changeTableStatus($id,$st);
	}
	
	if(isset($_GET['id']) && $_GET['t'] =='del' ){
		$id = (int)$_GET['id'];
		$rybtb_controller->fun->deleteTable($id);
	}
	
	$data = $rybtb_controller->fun->tableList($n,$order);
	?>
	<div class="wrap">
			<h1 id="add-new-table">
			<?php _e('Restaurant Table List',RBYTB_PLUGIN_NAME);?></h1>	
	<table class="wp-list-table widefat fixed striped">
	<thead>
	<tr>
		
		<th scope="col" id="username" class="manage-column column-username column-primary sortable desc">
			<a href="?page=tbl-list&n=vc_name&amp;order=<?php echo $o; ?>"><span><?php _e('Table Name',RBYTB_PLUGIN_NAME);?></span><span class="sorting-indicator"></span></a>
		 </th>
		<th scope="col" id="name" class="manage-column column-name"><a href="?page=tbl-list&n=capacity&amp;order=<?php echo $o; ?>"><?php _e('Capacity',RBYTB_PLUGIN_NAME);?></a></th>
			
		<th scope="col" id="role" class="manage-column column-role"><?php _e('Status',RBYTB_PLUGIN_NAME);?></th>			
	 </tr>
	</thead>

	<tbody id="the-list" data-wp-lists="list:table">
	<?php if(count($data)>0){ foreach($data as $row){  ?>
		
	<tr id="user-1">
	 
		<td class="tablelist column-username has-row-actions column-primary" data-colname="tablelist">
		  <strong><a href="?page=tbl-list&name"><?php echo $row->vc_name; ?></a></strong>
		  <br>
		  <div class="row-actions"><span class="edit">
		  <?php 
		  if($row->is_active == 1){
				?>
				<a href="?page=tbl-list&id=<?php echo $row->id; ?>&st=0&t=edit"><?php _e('Deactivate',RBYTB_PLUGIN_NAME);?>  </a>
				<?php } else { ?>
				<a href="?page=tbl-list&id=<?php echo $row->id; ?>&st=1&t=edit"><?php _e('Activate',RBYTB_PLUGIN_NAME);?>   </a>
				<?php } ?>		  
		  | </span><span class="view">
		  <a href="?page=tbl-list&id=<?php echo $row->id;?>&t=del" onclick="return confirm('Are you sure you want to delete <?php echo $row->vc_name; ?> ?');" aria-label="View posts by admin"><?php _e('Delete',RBYTB_PLUGIN_NAME);?></a></span>
		  </div>
		  <button type="button" class="toggle-row"><span class="screen-reader-text"><?php _e('Show more details',RBYTB_PLUGIN_NAME);?></span></button>
		  </td>
		  
		  <td class="column-capacity" data-colname="Capacity"><?php echo $row->capacity; ?></td>
		  <td class="column-status" data-colname="status">
			<?php
				if($row->is_active == 1){
				?>
				 <a style="color:green"><?php _e('Active',RBYTB_PLUGIN_NAME);?></a>
				<?php } else { ?>
				 <a style="color:red"><?php _e('Deactive',RBYTB_PLUGIN_NAME);?></a>  
				<?php } ?>			
		  </td>
		  
	 </tr>	
	<?php  } } else { ?>
		<tr id="user-1">
		<td colspan="3"><?php _e('No items found.',RBYTB_PLUGIN_NAME);?></td>
		
	<?php } ?>
	
	</tbody>
	<tfoot>	
	<tr>		
		<th scope="col" id="username" class="manage-column column-username column-primary sortable desc">
			<a href="./users.php?orderby=login&amp;order=asc"><span><?php _e('Table Name',RBYTB_PLUGIN_NAME);?></span><span class="sorting-indicator"></span></a>
		 </th>
		<th scope="col" id="name" class="manage-column column-name"><a href="./users.php?orderby=email&amp;order=asc"><?php _e('Capacity',RBYTB_PLUGIN_NAME);?></a></th>			
		<th scope="col" id="role" class="manage-column column-role"><?php _e('Status',RBYTB_PLUGIN_NAME);?></th>		
	 </tr>
	</tfoot>
		</table>
	</div>	
	<?php }
	
	
	public function bookingslist(){
	global $rybtb_controller;
	if(isset($_GET['edit'])){
		$this->editBooking(sanitize_text_field($_GET['edit']));
		return;
	}
	if(isset($_GET['update'])){
		$rybtb_controller->fun->UpdatebookTable($_POST);
		return;
	}	
	$n = '';
	$order='';
	$o = 'asc';
	$filters = '';
	if(isset($_GET['n'])){
		$n = sanitize_text_field($_GET['n']);
	}
	if(isset($_GET['order'])){
		$order = sanitize_text_field($_GET['order']);
	}
	if($order == 'asc'){
		$o = 'desc';
	}
	if(isset($_GET['id']) && $_GET['t'] =='change' ){
		$id = (int)$_GET['id'];
		$st = sanitize_text_field($_GET['st']); 
		$rybtb_controller->fun->changeBookingStatus($id,$st);
	}
	
	if(isset($_GET['id']) && $_GET['t'] =='del' ){
		$id = (int)$_GET['id'];
		$st = sanitize_text_field($_GET['st']);
		$rybtb_controller->fun->changeBookingStatus($id,$st);
	}
	
	if($_GET['filter'] == 1 && !empty($_POST)){
       $datefrom = sanitize_text_field($_POST['datefrom']);
       $dateto = sanitize_text_field($_POST['dateto']);
       $times = sanitize_text_field($_POST['tm12']);
       $status = sanitize_text_field($_POST['status']);
	   $filters = array('dt1' => $datefrom ,'dt2' => $dateto ,'tm1' => $times,'status' => $status);
	}

	$data = $rybtb_controller->fun->tableBookinList($n,$order,$filters);
	$getdefval = unserialize(get_option('esytb_default'));
	$otime = explode(':',$getdefval['opnTime']);
	$etime = explode(':',$getdefval['endTime']);
	?>
	<div class="wrap">
		<div style="float:left; width:80%">	
			<h1 id="add-new-table">
			<?php _e('Restaurant Booked Table List',RBYTB_PLUGIN_NAME);?></h1>
		</div>	
		<div style="float:left; width:20%; display:none">	
			<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
				<input type="hidden" name="cmd" value="_s-xclick">
				<input type="hidden" name="hosted_button_id" value="LY7Y3KWG9QYQ6">
				<table>
				<tr><td><input type="hidden" name="on0" value="For better performance i  denotes">For better performance i  denotes</td></tr><tr><td><select name="os0">
					<option value="Happy">Happy $10.00 USD</option>
					<option value="Very Happy">Very Happy $20.00 USD</option>
					<option value="Marvellous">Marvellous $30.00 USD</option>
				</select> </td></tr>
				</table>
				<input type="hidden" name="currency_code" value="USD">
				<input type="image" src="https://www.paypalobjects.com/en_GB/i/btn/btn_buynow_SM.gif" border="0" name="submit" alt="PayPal – The safer, easier way to pay online!">
				<img alt="" border="0" src="https://www.paypalobjects.com/en_GB/i/scr/pixel.gif" width="1" height="1">
				</form>
		</div>	
		
    <div class="row">
		<form method="post" name="filterbooking" action="?page=tbl-bookings&filter=1" class="validate form" novalidate="novalidate">
			<input name="action" type="hidden" value="filterbooking">
			<table class="form-table" role="presentation">
			<tbody>
			<tr class="form-field form-required">
				<td><input name="datefrom" required type="text" class="admdatepicker" required value="<?php echo sanitize_text_field($_POST['datefrom']) ? sanitize_text_field($_POST['datefrom']) : date('d-m-Y'); ?>" aria-required="true" autocapitalize="none" autocorrect="off" maxlength="60"></td>
				<td><input name="dateto" required type="text" id="dateto" class="admdatepicker" required value="<?php echo sanitize_text_field($_POST['dateto']) ? sanitize_text_field($_POST['dateto']) : date('d-m-Y'); ?>" aria-required="true" autocapitalize="none" autocorrect="off" maxlength="60"></td>
				<td>
				<select id="tm12" name="tm12" style="height:42px">
				 <option value=""><?php _e('Select Time Slot',RBYTB_PLUGIN_NAME);?></option>
					<?php 
						$begin = new DateTime( $otime[0].":".$otime[1]);
						$pmtime = '21:00';
						if(strtolower($etime['2']) == 'pm'){
						  $pmtime = 11 + $etime[0].':'.$etime[1]; 
						 }
						$end   = new DateTime($pmtime);
						$interval = DateInterval::createFromDateString($getdefval['timeIntval'].'min');
						$times    = new DatePeriod($begin, $interval, $end);
						foreach ($times as $time) { $timeslot = $time->format('H:i').' - '.$time->add($interval)->format('H:i');
						$selected = ($timeslot == sanitize_text_field($_POST['tm12'])) ? 'selected' :'';	
						?>
					  <option <?php echo $selected; ?> value="<?php echo $timeslot; ?>"><?php echo $timeslot; ?></option> 
					<?php } ?>		  
               </select>
				</td>
				<td>
				<select id="status" name="status" style="height:42px">
				 <option value=""><?php _e('Select Status',RBYTB_PLUGIN_NAME);?></option>
				 <option value="2" <?php if(sanitize_text_field($_POST['status'])== 2){ echo 'selected';} ?>><?php _e('Pending',RBYTB_PLUGIN_NAME);?></option>
				 <option value="1" <?php if(sanitize_text_field($_POST['status'])== 1) { echo 'selected';} ?>><?php _e('Confirm',RBYTB_PLUGIN_NAME);?></option>
				 <option value="3" <?php if(sanitize_text_field($_POST['status'])== 3) { echo 'selected';} ?>><?php _e('Cancelled',RBYTB_PLUGIN_NAME);?></option>
				 <option value="0" <?php if(sanitize_text_field($_POST['status'] == '0' )) { echo 'selected' ;} ?>><?php _e('Deleted',RBYTB_PLUGIN_NAME);?></option>					 
               </select>
				</td>
				<td><span class="submit"><input type="submit" name="createtable" id="createtable" class="button button-primary" value="<?php _e('Filter',RBYTB_PLUGIN_NAME);?>"></span> &nbsp;&nbsp;</td>
			</tr>
		</table>
		
	</form>		
	</div>			
	<table class="wp-list-table widefat fixed striped">
	<thead>
	<tr>
	<td id="cb" class="manage-column column-cb check-column"><label class="screen-reader-text" for="cb-select-all-1"><?php _e('Select All',RBYTB_PLUGIN_NAME);?></label><input id="cb-select-all-1" type="checkbox"></td>
		<th scope="col" id="username" class="manage-column column-username column-primary sortable desc">
			<a href="?page=tbl-bookings&n=vc_name&amp;order=<?php echo $o; ?>"><span><?php _e('Name',RBYTB_PLUGIN_NAME);?></span><span class="sorting-indicator"></span></a>
		 </th>
		<th scope="col" id="name" class="manage-column column-name"><a href="?page=tbl-bookings&n=vc_email&amp;order=<?php echo $o; ?>"><?php _e('Email',RBYTB_PLUGIN_NAME);?></a></th>
		
		<th scope="col" id="name" class="manage-column column-name"><a href="?page=tbl-bookings&n=vc_phone&amp;order=<?php echo $o; ?>"><?php _e('Phone',RBYTB_PLUGIN_NAME);?></a></th>
		
		<th scope="col" id="name" class="manage-column column-name"><a href="#"><?php _e('Table Details',RBYTB_PLUGIN_NAME);?></a></th>
		
		<th scope="col" id="name" class="manage-column column-name"><a href="?page=tbl-bookings&n=dt_date&amp;order=<?php echo $o; ?>"><?php _e('Booking Date',RBYTB_PLUGIN_NAME);?></a></th>
		
		<th scope="col" id="name" class="manage-column column-name"><a href="?page=tbl-bookings&n=vc_time&amp;order=<?php echo $o; ?>"><?php _e('Booking Time',RBYTB_PLUGIN_NAME);?></a></th>
			
		<th scope="col" id="role" class="manage-column column-role"><?php _e('Status',RBYTB_PLUGIN_NAME);?></th>			
	 </tr>
	</thead>

	<tbody id="the-list" data-wp-lists="list:table">
	<?php 
       if(count($data) > 0) {
		foreach($data as $row){  ?>		
	<tr id="user-1">
		<th scope="row" class="check-column"><label class="screen-reader-text" for="user_1"><?php _e('Select admin',RBYTB_PLUGIN_NAME);?></label><input type="checkbox" name="bookings[]" id="bookin_<?php echo $row->id; ?>" class="administrator" value="<?php echo $row->id; ?>"></th>	
		<td class="tablelist column-username has-row-actions column-primary" data-colname="tablelist">
		  <strong><a href="?page=tbl-list&name"><?php echo $row->vc_name; ?></a></strong>
		  <br>
		  <div class="row-actions"><span class="edit">
		  <a style="display:none" href="?page=tbl-bookings&edit=<?php echo $row->id; ?>"><?php _e('Edit',RBYTB_PLUGIN_NAME);?>  </a>		  		  
		   </span>  <span class="view">
		  <a href="?page=tbl-bookings&id=<?php echo $row->id;?>&st=0&t=del" onclick="return confirm('Are you sure you want to delete <?php echo $row->vc_name; ?> ?');" aria-label="View posts by admin"><?php _e('Delete',RBYTB_PLUGIN_NAME);?></a></span>
		  </div>
		  <button type="button" class="toggle-row"><span class="screen-reader-text"><?php _e('Show more details',RBYTB_PLUGIN_NAME);?></span></button>
		  </td>
		  
		  <td class="column-capacity" data-colname="Email"><?php echo $row->vc_email; ?></td>
		  <td class="column-capacity" data-colname="Phone"><?php echo $row->vc_phone; ?></td>
		  <td class="column-capacity" data-colname="Table Name">
			<?php 
			$tbldet = explode(',',$row->vc_table_seat);
			$tableList = array();	
			foreach($tbldet as $septd){ 
				$tblData = explode('_',$septd);
				if(!is_array($tableList[$tblData[0]])){
					$tableList[$tblData[0]] = array();
				}
				array_push($tableList[$tblData[0]],$tblData[1]);
			}
			foreach($tableList as $key => $value){
				$getTab = $rybtb_controller->fun->getTableName($key);
				echo "<div>". $getTab->vc_name."</div>";
				echo "<div>Seats : ". implode(',',$value) ."</div>";
			}
			echo "No of Persons: ".$row->int_person_no;
			
			?>
		  
		  </td>
		   <td class="column-capacity" data-colname="Booking Date"><?php echo date('d-m-Y',strtotime($row->dt_date)); ?></td>
		   <td class="column-capacity" data-colname="Time"><?php echo $row->vc_time; ?></td>
		  <td class="column-status" data-colname="status">
			<?php
				if($row->is_status == 1){
				?>
				 <a style="color:green"><?php _e('Confirmed',RBYTB_PLUGIN_NAME);?></a>
				 <br>
				  <div class="row-actions"><span class="edit">
				  <a href="?page=tbl-bookings&id=<?php echo $row->id; ?>&st=3&t=change" onclick="return confirm('Are you sure you want to Cancelled.')"><?php _e('Cancelled',RBYTB_PLUGIN_NAME);?>  </a>
				  </div>
				<?php } else if($row->is_status == 2) { ?>
				 <a style="color:blue"><?php _e('Pending',RBYTB_PLUGIN_NAME);?></a> 
					<br>
				<div class="row-actions"><span class="edit">
				<a href="?page=tbl-bookings&id=<?php echo $row->id; ?>&st=3&t=change" onclick="return confirm('Are you sure you want to Cancelled.')"><?php _e('Cancelled',RBYTB_PLUGIN_NAME);?>  </a>
		  		  
				| </span><span class="view">
				<a href="?page=tbl-bookings&id=<?php echo $row->id;?>&st=1&t=change" onclick="return confirm('Are you sure you want to Confirmed and Confirmation Mail will be send to the customer.')" aria-label="View posts by admin"><?php _e('Confirmed',RBYTB_PLUGIN_NAME);?></a></span>
		    </div>					
				<?php } else if($row->is_status == 3) { ?>
				<a style="color:red"><?php _e('Cancelled',RBYTB_PLUGIN_NAME);?></a> 
				<?php } else if($row->is_status == 0){  ?>
				<a style="color:red"><?php _e('Deleted',RBYTB_PLUGIN_NAME);?></a> 
				<?php } ?>
				
		  <br>		 
		  <button type="button" class="toggle-row"><span class="screen-reader-text"><?php _e('Show more details',RBYTB_PLUGIN_NAME);?></span></button>
		  </td>
		  
	 </tr>	
	   <?php } } else { ?>
	<tr id="user-1">
		<td colspan="8"><strong><?php _e('No items found.',RBYTB_PLUGIN_NAME);?></strong> </td>
	
	<?php } ?>
	
	</tbody>
	<tfoot>
	
	<tr>
	<td id="cb" class="manage-column column-cb check-column"><label class="screen-reader-text" for="cb-select-all-1"><?php _e('Select All',RBYTB_PLUGIN_NAME);?></label><input id="cb-select-all-1" type="checkbox"></td>
		<th scope="col" id="username" class="manage-column column-username column-primary sortable desc">
			<a href="?page=tbl-bookings&n=vc_name&amp;order=<?php echo $o; ?>"><span><?php _e('Name',RBYTB_PLUGIN_NAME);?></span><span class="sorting-indicator"></span></a>
		 </th>
		<th scope="col" id="name" class="manage-column column-name"><a href="?page=tbl-bookings&n=vc_email&amp;order=<?php echo $o; ?>"><?php _e('Email',RBYTB_PLUGIN_NAME);?></a></th>
		
		<th scope="col" id="name" class="manage-column column-name"><a href="?page=tbl-bookings&n=vc_phone&amp;order=<?php echo $o; ?>"><?php _e('Phone',RBYTB_PLUGIN_NAME);?></a></th>
		
		<th scope="col" id="name" class="manage-column column-name"><a href="#"><?php _e('Table Details',RBYTB_PLUGIN_NAME);?></a></th>
		
		<th scope="col" id="name" class="manage-column column-name"><a href="?page=tbl-bookings&n=dt_date&amp;order=<?php echo $o; ?>"><?php _e('Booking Date',RBYTB_PLUGIN_NAME);?></a></th>
		
		<th scope="col" id="name" class="manage-column column-name"><a href="?page=tbl-bookings&n=vc_time&amp;order=<?php echo $o; ?>"><?php _e('Booking Time',RBYTB_PLUGIN_NAME);?></a></th>
			
		<th scope="col" id="role" class="manage-column column-role"><?php _e('Status',RBYTB_PLUGIN_NAME);?></th>		
	 </tr>
	</tfoot>
		</table>
	</div>
	<?php }
	
	public function settings(){
		global $rybtb_controller;
      if(isset($_POST['savesetting'])) {
		  $opnTime = sanitize_text_field($_POST['hours']).':'.sanitize_text_field($_POST['mintus']).':'.sanitize_text_field($_POST['ampm']);
		  $endTime = sanitize_text_field($_POST['hours1']).':'.sanitize_text_field($_POST['mintus1']).':'.sanitize_text_field($_POST['ampm1']);
		  $timeIntval = sanitize_text_field($_POST['time_intval']);
		  $conf_sbj = sanitize_text_field($_POST['confirm_subject']);
		  $conf_msg = sanitize_text_field($_POST['confirm_msg']);
		  $dupt_val = sanitize_text_field($_POST['duplicat_seat']);
		  $aut_conf = sanitize_text_field($_POST['auto_confirm']);
		  $thanksmsg = sanitize_text_field($_POST['thanksmsg']);
		  $success_msg = sanitize_text_field($_POST['success_msg']);
		  $rejected_sub = sanitize_text_field($_POST['rejected_sub']);
		  $rejected_msg = sanitize_text_field($_POST['rejected_msg']);
		  $date_format = sanitize_text_field($_POST['date_format']);
		  
		 $allSettings = array(
			'opnTime' => $opnTime,
			'endTime' => $endTime,
			'timeIntval' => $timeIntval,
			'booked_con'=> $dupt_val,
			'conf_sub' => $conf_sbj,
			'conf_msg' => $conf_msg,
			'aut_conf' => $aut_conf,
			'thanks_msg' => $thanksmsg,
			'rejected_sub' => $rejected_sub,
			'rejected_msg' => $rejected_msg,
			'success_msg' => $success_msg,
			'date_format' => $date_format
		  );
		  update_option('esytb_default',serialize($allSettings));	  
	  }
	  	  $getdefval = unserialize(get_option('esytb_default'));
		  $otime = explode(':',$getdefval['opnTime']);
		  $etime = explode(':',$getdefval['endTime']);
		?>
		<div class="wrap">
			<h1 id="add-new-table">
			<?php _e('Restaurant Settings',RBYTB_PLUGIN_NAME);?></h1>
			<div class="row">
			
			<form method="post" name="filterbooking" action="?page=tbl-settings" class="validate form">
				<input name="savesetting" type="hidden" value="1">
				<table class="form-table" role="presentation">
					<tbody>
					<tr class="form-field form-required">
					<th scope="row"><?php _e('Shortcode',RBYTB_PLUGIN_NAME);?></th>
							<td>
							 <p class="description"><?php _e('Enter [esytable-booking-form] somewhere within a page or post to display booking form.',RBYTB_PLUGIN_NAME);?></p>
							</td>
						</tr>	
						<tr class="form-field form-required">							
							<th scope="row"><?php _e('Schedule',RBYTB_PLUGIN_NAME);?></th>
							<td>
								<p class="description"><?php _e('Define the weekly schedule during which you accept bookings.',RBYTB_PLUGIN_NAME);?></p>
								<div>
								<span class="css-clock">
								 <select name="hours" required style="width:100px" >
								 <option value=""><?php _e('--Hour--',RBYTB_PLUGIN_NAME);?></option>
									<?php for($i=1;$i < 13;$i++){ if($i<10){ $i = '0'.$i; }
									$selected = $i == $otime[0] ? 'selected':'';	
									echo "<option value='".$i."' ".$selected." >".$i."</option>"; } ?>
								 </select>
								</span>
								<span> &nbsp; </span>
								<span class="css-clock">
								 <select name="mintus" required style="width:100px" >
								 <option value=""><?php _e('--Mintus--',RBYTB_PLUGIN_NAME);?></option>
									<?php for($i=0;$i < 61;$i++){ if($i < 10){ $i = '0'.$i; } 
									$selected = $i == $otime[1] ? 'selected':'';	
									echo "<option value='".$i."' ".$selected.">".$i."</option>" ; } ?>
								 </select>
								</span>
								<span>&nbsp; </span>
								<span class="css-clock">
								 <select name="ampm" required style="width:50px" >
									<option value="am" <?php echo $otime[2] == 'AM' ? 'Selected' :''; ?>><?php _e('AM',RBYTB_PLUGIN_NAME);?></option>
									<option value="pm" <?php echo $otime[2] == 'MM' ? 'Selected' :''; ?>><?php _e('PM',RBYTB_PLUGIN_NAME);?></option>
								 </select>
								</span>
								<span>&nbsp;-</span>
								<span>&nbsp;-</span>
								<span>&nbsp;</span>
								
								<span class="css-clock">
								 <select name="hours1" required  style="width:100px">
								 <option value=""><?php _e('--Hour--',RBYTB_PLUGIN_NAME);?></option>
									<?php for($i=1;$i < 13;$i++){ if($i<10){ $i = '0'.$i; } 
									$selected = $i == $etime[0] ? 'selected':'';
									echo "<option value='".$i."' ".$selected.">".$i."</option>"; } ?>
								 </select>
								</span>
								<span> &nbsp; </span>
								<span class="css-clock">
								 <select name="mintus1" required style="width:115px" >
								 <option value=""><?php _e('--Mintus--',RBYTB_PLUGIN_NAME);?></option>
									<?php for($i=0;$i < 61;$i++){ if($i<10){ $i = '0'.$i; }
									$selected = $i == $etime[1] ? 'selected':'';	
									echo "<option value='".$i."' ".$selected.">".$i."</option>"; } ?>
								 </select>
								</span>
								<span>&nbsp; </span>
								<span class="css-clock">
								 <select name="ampm1" required style="width:50px">									
									<option value="pm" <?php echo $etime[2] == 'AM' ? 'Selected' :''; ?> ><?php _e('PM',RBYTB_PLUGIN_NAME);?></option>
									<option value="am" <?php echo $etime[2] == 'AM' ? 'Selected' :''; ?>><?php _e('AM',RBYTB_PLUGIN_NAME);?></option>
								 </select>
								</span>								
								</div>
							</td>
						</tr>
						<tr class="form-field form-required">
						  <th scope="row"><?php _e('Time Interval',RBYTB_PLUGIN_NAME);?></th>
							<td>
								<p class="description"><?php _e('Select the number of minutes between each available time.',RBYTB_PLUGIN_NAME);?></p>
								<div>
								 <select name="time_intval" required style="width:150px">									
									<option value="45" <?php echo $getdefval['timeIntval'] == '45' ? 'selected' :''; ?>><?php _e('Every 45 minutes',RBYTB_PLUGIN_NAME);?></option>
									<option value="30" <?php echo $getdefval['timeIntval'] == '30' ? 'selected' :''; ?>><?php _e('Every 30 minutes',RBYTB_PLUGIN_NAME);?></option>
									<option value="15" <?php echo $getdefval['timeIntval'] == '15' ? 'selected' :''; ?>><?php _e('Every 15 minutes',RBYTB_PLUGIN_NAME);?></option>
									<option value="5" <?php echo $getdefval['timeIntval'] == '5' ? 'selected' :''; ?>><?php _e('Every 5 minutes',RBYTB_PLUGIN_NAME);?></option>
								 </select>						
								</div>
							</td>
						</tr>						
						
						<tr class="form-field form-required">
						  <th scope="row"><?php _e('Exceptions',RBYTB_PLUGIN_NAME);?></th>
							<td>
								<p class="description"><?php _e('Enabled Checkbox This setting affects a same table seat booking made to be multiple persons.Need to be manaully confirm.',RBYTB_PLUGIN_NAME);?></p>
								<div>
								 <input type="checkbox" name="duplicat_seat" <?php echo $getdefval['booked_con'] ? 'checked':''; ?>/>							
								</div>
							</td>
						</tr>
						<tr class="form-field form-required">
						  <th scope="row"><?php _e('Automatically Confirm.',RBYTB_PLUGIN_NAME);?> </th>
							<td>
								
								<div>	
									<p class="description"><?php _e('Enabled Checkbox all bookings will be automatically confirmed and send conformation mail to the customer.',RBYTB_PLUGIN_NAME);?> </p>								
								  <input type="checkbox" name="auto_confirm" <?php echo $getdefval['aut_conf'] ? 'checked':''; ?> />
								</div>							
								
							</td>
						</tr>
						<tr class="form-field form-required">
						  <th scope="row"><?php _e('Success Message',RBYTB_PLUGIN_NAME);?></th>
							<td>
								<p class="description"><?php _e('Enter the message to display when a booking request is made.',RBYTB_PLUGIN_NAME);?></p>
								<div>
								 <input type="text" name="success_msg" value="<?php echo $getdefval['success_msg'];  ?>" />							
								</div>
							</td>
						</tr>
						<tr class="form-field form-required" style="display:none">
						  <th scope="row"><?php _e('Date Format',RBYTB_PLUGIN_NAME);?></th>
							<td>
								<p class="description"><?php _e('Define how the date is formatted on the booking form.',RBYTB_PLUGIN_NAME);?></p>
								<div>
								 <input type="text" name="date_format" value = "<?php echo $getdefval['date_format']; ?>"/>							
								</div>
							</td>
						</tr>
						<tr class="form-field form-required">
						  <th scope="row"><?php _e('Confirmed Notifications',RBYTB_PLUGIN_NAME);?></th>
							<td>
								
								<div>	
									<p class="description"><?php _e('Confirmed Email Subject',RBYTB_PLUGIN_NAME);?></p>								
								  <input type="text" name="confirm_subject" value="<?php echo $getdefval['conf_sub'];  ?>"/>
								</div>
								
								<div>
								<p class="description"><?php _e('Confirmed Email',RBYTB_PLUGIN_NAME);?></p>
								  <textarea rows="15" cols="20" name="confirm_msg"><?php echo $getdefval['conf_msg'];  ?></textarea>
								</div>
							</td>
						</tr>
						<tr class="form-field form-required">
						  <th scope="row"><?php _e('Cancelled/Rejected Notifications',RBYTB_PLUGIN_NAME);?></th>
							<td>
								
								<div>	
									<p class="description"><?php _e('Cancelled/Rejected Email Subject',RBYTB_PLUGIN_NAME);?></p>								
								  <input type="text" name="rejected_sub" value="<?php echo $getdefval['rejected_sub'];  ?>"/>
								</div>
								
								<div>
								<p class="description"><?php _e('Cancelled/Rejected Email',RBYTB_PLUGIN_NAME);?></p>
								  <textarea rows="15" cols="20" name="rejected_msg"><?php echo $getdefval['rejected_msg'];  ?></textarea>
								</div>
							</td>
						</tr>
												
					</tbody>
			 </table>
				<p class="submit"><input type="submit" name="savesettings" id="savesettings" class="button button-primary" value="<?php _e('Save Changes',RBYTB_PLUGIN_NAME);?>"></p> 
           </form>
		   
		 </div>  
      </div>
		
	<?php }
	
	
	
	
	public function editBooking($id){
	global $rybtb_controller;
	$bookingdate = '';
	$numberofpersons = '';
	$tm1 ='';
	if(!empty($id)){
		$getBookingData = $rybtb_controller->fun->tableBookingRow($id);
	}
	$to2BookedTable = $rybtb_controller->fun->getto2BookedTable($getBookingData->dt_date,$getBookingData->vc_time);
	?>
<div class="row">
<form method="POST" action="?page=tbl-bookings&update=update">
<div class="tablefilter <?php echo $ftlstus; ?>">
    <div class="row">
      <div class="col-25">
        <label for="numberofpersons"><?php _e('No.of Persons',RBYTB_PLUGIN_NAME);?></label>
      </div>
      <div class="col-75">
        <select name="numberofpersons" id="numberofpersons">
			<?php for($i=1;$i<11;$i++){ $selected = ($i==$getBookingData->int_person_no) ? 'selected':'';  ?>	
				<option <?php echo $selected; ?> value="<?php echo $i; ?>"><?php echo $i; ?></option>
			<?php } ?>
				<option value="11+"><?php _e('11+',RBYTB_PLUGIN_NAME);?></option>			
		</select>
      </div>
    </div>
    <div class="row">
      <div class="col-25">
        <label for="bookingdate"><?php _e('Booking Date',RBYTB_PLUGIN_NAME);?></label>
      </div>
      <div class="col-75">
        <input type="text" required id="datepicker" value="<?php echo date('d-m-Y',strtotime($getBookingData->dt_date)); ?>" name="bookingdate" placeholder="Enter Booking Date">
      </div>
    </div>
    <div class="row">
      <div class="col-25">
        <label for="tm1"><?php _e('Select Time',RBYTB_PLUGIN_NAME);?></label>
      </div>
      <div class="col-75">
        <select id="tm1" name="tm1">
		<?php 
			$getdefval = unserialize(get_option('esytb_default'));
			$otime = explode(':',$getdefval['opnTime']);
			$etime = explode(':',$getdefval['endTime']);
			$begin = new DateTime( $otime[0].":".$otime[1]);
			$pmtime = '21:00';
			if(strtolower($etime['2']) == 'pm'){
			  $pmtime = 11 + $etime[0].':'.$etime[1]; 
			 }
			$end   = new DateTime($pmtime);
			$interval = DateInterval::createFromDateString($getdefval['timeIntval'].' min');
			$times    = new DatePeriod($begin, $interval, $end);
			foreach ($times as $time) { $timeslot = $time->format('H:i').' - '.$time->add($interval)->format('H:i');
			$selected = ($timeslot == $getBookingData->vc_time) ? 'selected' :'';	
			?>
          <option <?php echo $selected; ?> value="<?php echo $timeslot; ?>"><?php echo $timeslot; ?></option> 
		<?php } ?>		  
        </select>		
      </div>
		
		<fieldset>
			<legend><?php _e('Reserve Seats',RBYTB_PLUGIN_NAME);?></legend>
		<div class="row">
			  <div class="col-25">
				<label for="email"><?php _e('Select Seat',RBYTB_PLUGIN_NAME);?></label>
			  </div>
			  <div class="col-75">
				  <table class="mytbl" cellspacing="0" cellpadding="0">
				   <?php $vTblList = $rybtb_controller->fun->vacanttableList();
				   foreach($vTblList as $tlist){
				   ?>
				  <tr>
					<td><?php echo $tlist->vc_name; ?> </td>
					<td>
					<?php $aList = ''; for($i=1;$i<= $tlist->capacity; $i++){
					  $tblsetid = $tlist->id."_".$i;
					  if(@in_array($i,$to2BookedTable[$tlist->id])){
						if($getBookingData->id == $tlist->id){	
						$aList= "<a href=\"javascript:;\" class=\"selected\" onclick=\"ryblJs.fnSelectSeat(this,'".$tblsetid."',".$getBookingData->int_person_no.")\">".$i."</a>";
						}else{
							$aList= "<a class=\"unavailable\">".$i."</a>";
						}
					  } else {
						$aList="<a href=\"javascript:;\" class=\"_available\" onclick=\"ryblJs.fnSelectSeat(this,'".$tblsetid."',".$getBookingData->int_person_no.")\">".$i."</a>";  
					  }
					?>
						<div class="ftl"><?php echo $aList; ?></div>
					<?php } ?>
					</td>
				  </tr>
				   <?php } ?>
				   <tr>
				</table>
			 </div>
			</div>		
		 <div class="row">
		 <input type="hidden" name="bkdtbl" id="bkdtbl" value="<?php echo $getBookingData->vc_table_seat; ?>" />		
		 <input type="hidden" name="bktbl_id" id="bktbl_id" value="<?php echo $getBookingData->id; ?>" />		
			  <div class="col-25">
				<label for="lname"><?php _e('Name',RBYTB_PLUGIN_NAME);?></label>
			  </div>
			  <div class="col-75">
				<input type="text" required name="person_name" value="<?php echo $getBookingData->vc_name; ?>" placeholder="<?php _e('Please enter your name..',RBYTB_PLUGIN_NAME);?>">
			  </div>
			</div>
			<div class="row">
			  <div class="col-25">
				<label for="email"><?php _e('Email',RBYTB_PLUGIN_NAME);?></label>
			  </div>
			  <div class="col-75">
				<input type="email" style="width:100%" value="<?php echo $getBookingData->vc_email; ?>" required name="email" placeholder="<?php _e('Please enter your email..',RBYTB_PLUGIN_NAME);?>">
			  </div>
			</div>
			<div class="row">
			  <div class="col-25">
				<label for="phone"><?php _e('Phone',RBYTB_PLUGIN_NAME);?></label>
			  </div>
			  <div class="col-75">
				<input type="text" required name="phone" value="<?php echo $getBookingData->vc_phone; ?>" placeholder="<?php _e('Please enter your phone no..',RBYTB_PLUGIN_NAME);?>">
			  </div>
			</div>
			<div class="row">
			  <div class="col-75">
				<input name="bookbtn" type="submit" value="<?php _e('Udate Table',RBYTB_PLUGIN_NAME);?>" >
			  </div>
			</div>
		</fieldset>		 
	 </div>
   </div>
   </form>
  </div> 
	<?php }
  }
}